#include <bits/stdc++.h>
#define endl "\n"

using namespace std;
void speed()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}
int a[1000024],n,m,br,lamp;
void read()
{
    cin>>n>>m;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]==1)br++;
        if(a[i]>1)lamp=1;
    }
    cout<<m<<endl;
}
int main()
{
    speed();
    read();
    return 0;
}
